A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
isOwner
ArrayFire Functions by Category » Functions to work with internal array layout

## Functions
AFAPI bool | isOwner (const array &in)
AFAPI af_err | af_is_owner (bool *result, const af_array arr)

## Detailed Description

Check if underlying data is owned by the current array.

## Function Documentation

## ◆ af_is_owner()

AFAPI af_err af_is_owner | ( | bool * | result,
|  | const af_array | arr )

Parameters

  [in] | arr | An multi dimensional array.
  [out] | result | a boolean specifying if the array owns the raw pointer. It is false if it is a sub array.

## ◆ isOwner()

AFAPI bool isOwner | ( | const array & | in | ) |

Parameters

  [in] | in | An multi dimensional array.

Returns
  a boolean specifying if the array owns the raw pointer. It is false if it is a sub array.